Cloady Docs
API ReferenceEndpointsApplications

Read a service's volume usage over time

Returns the bytes used and the capacity of the volumes the compose service mounts, as the kubelet reports their filesystems, across `range`, and the growth per day over the last day of samples.

GET
/api/workspaces/{workspaceSlug}/apps/{appSlug}/services/{serviceName}/engine/volumes
AuthorizationBearer <token>

Personal API token (cldy_…)

In: header

Path Parameters

workspaceSlug*string
appSlug*string
serviceName*string

Query Parameters

env?string

Value in

  • "production"
  • "preview"
  • "development"
region?string
range?string

How far back to look; the answer has 30 to 96 points across it

Default"1h"

Value in

  • "15m"
  • "1h"
  • "6h"
  • "24h"
  • "7d"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/workspaces/string/apps/string/services/string/engine/volumes"
{  "start": 0,  "step": 0,  "volumes": [    "string"  ],  "used": [    0  ],  "capacity": [    0  ],  "growthPerDay": 0,  "history": 0}